For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddSecret
        • POSTDelSecret
        • POSTGetSecretValue
        • POSTGetSecrets
        • POSTSetSecretInfo
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSecrets

DelSecret

||View as Markdown|
POST
https://api.voximplant.com/platform_api/DelSecret
POST
/platform_api/DelSecret
$curl -X POST "https://api.voximplant.com/platform_api/DelSecret?secret_id=10&secret_name=api_key&application_id=12345" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful deletion
1{
2 "result": 1
3}

Deletes an existing secret.

Example request: Delete secret with ID 10.

Was this page helpful?
Previous

AddSecret

Next

GetSecretValue

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

application_idintegerOptional

Application ID. Required unless application_name is provided.

application_namestringOptional

Application name. Required unless application_id is provided.

secret_idlist of integersRequired

IDs to delete. A list separated by semicolons (;). Use the ‘all’ value to delete all secrets

secret_namelist of stringsRequired

Secret names to delete. List separated by semicolons (;)

Response

Successful response
resultinteger
Returns 1 if the secret has been deleted successfully